## psad 1.4.0

=== Makefile ===
#
##########################################################################
#
#  Author: Michael Rash (mbr@cipherdyne.org)
#
#  Credits:  (see the CREDITS file)
#
#  Version: 1.3
#
#  Copyright (C) 1999-2002 Michael Rash (mbr@cipherdyne.org)
#
#  License (GNU Public License):
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#     USA
#
##########################################################################
#
#  $Id: Makefile,v 1.16 2003/11/30 22:34:01 mbr Exp $
#

### default
all : kmsgsd.c psadwatchd.c psad_funcs.c strlcpy.c strlcat.c psad.h
	/usr/bin/gcc -Wall kmsgsd.c psad_funcs.c strlcpy.c strlcat.c -o kmsgsd
	/usr/bin/gcc -Wall psadwatchd.c psad_funcs.c strlcpy.c strlcat.c -o psadwatchd

#install : kmsgsd
#	if [ -x kmsgsd ]; then \
#		/bin/cp kmsgsd /usr/sbin/kmsgsd

clean :
	if [ -f a.out ]; then rm a.out; fi
	if [ -f core ]; then rm core; fi
	if [ -f kmsgsd ]; then rm kmsgsd; fi
	if [ -f psadwatchd ]; then rm psadwatchd; fi

## psad 1.4.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 #  Credits:  (see the CREDITS file)
 #
-#  Version: 1.3
+#  Version: 1.4.1
 #
 #  Copyright (C) 1999-2002 Michael Rash (mbr@cipherdyne.org)
 #
@@ -23,7 +23,7 @@
 #
 ##########################################################################
 #
-#  $Id: Makefile,v 1.16 2003/11/30 22:34:01 mbr Exp $
+#  $Id: Makefile,v 1.17 2005/03/12 17:14:01 mbr Exp $
 #
 
 ### default

## psad 1.4.4

=== Makefile ===
--- 
+++ 
@@ -23,13 +23,18 @@
 #
 ##########################################################################
 #
-#  $Id: Makefile,v 1.17 2005/03/12 17:14:01 mbr Exp $
+#  $Id: Makefile,v 1.18 2005/06/25 21:13:24 mbr Exp $
 #
 
 ### default
 all : kmsgsd.c psadwatchd.c psad_funcs.c strlcpy.c strlcat.c psad.h
 	/usr/bin/gcc -Wall kmsgsd.c psad_funcs.c strlcpy.c strlcat.c -o kmsgsd
 	/usr/bin/gcc -Wall psadwatchd.c psad_funcs.c strlcpy.c strlcat.c -o psadwatchd
+
+### debug mode
+debug : kmsgsd.c psadwatchd.c psad_funcs.c strlcpy.c strlcat.c psad.h
+	/usr/bin/gcc -Wall -g -DDEBUG kmsgsd.c psad_funcs.c strlcpy.c strlcat.c -o kmsgsd
+	/usr/bin/gcc -Wall -g -DDEBUG psadwatchd.c psad_funcs.c strlcpy.c strlcat.c -o psadwatchd
 
 #install : kmsgsd
 #	if [ -x kmsgsd ]; then \

## psad 2.1

=== Makefile ===
--- 
+++ 
@@ -23,13 +23,13 @@
 #
 ##########################################################################
 #
-#  $Id: Makefile,v 1.18 2005/06/25 21:13:24 mbr Exp $
+#  $Id: Makefile 1517 2006-01-07 02:25:10Z mbr $
 #
 
 ### default
 all : kmsgsd.c psadwatchd.c psad_funcs.c strlcpy.c strlcat.c psad.h
-	/usr/bin/gcc -Wall kmsgsd.c psad_funcs.c strlcpy.c strlcat.c -o kmsgsd
-	/usr/bin/gcc -Wall psadwatchd.c psad_funcs.c strlcpy.c strlcat.c -o psadwatchd
+	/usr/bin/gcc -Wall -O kmsgsd.c psad_funcs.c strlcpy.c strlcat.c -o kmsgsd
+	/usr/bin/gcc -Wall -O psadwatchd.c psad_funcs.c strlcpy.c strlcat.c -o psadwatchd
 
 ### debug mode
 debug : kmsgsd.c psadwatchd.c psad_funcs.c strlcpy.c strlcat.c psad.h

=== whois/po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALLNLSDIR=$(BASEDIR)/usr/share/locale

PACKAGE = whois

CATALOGS = de.mo el.mo es.mo fr.mo it.mo ja.mo no.mo pl.mo ru.mo

POTFILES=../whois.c ../mkpasswd.c

all: $(PACKAGE).pot $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(PACKAGE) \
       	  --add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	  rm -f $(PACKAGE).po; \
	else \
	  mv $(PACKAGE).po $(PACKAGE).pot; \
	fi

update-po: $(PACKAGE).pot
	for cat in $(CATALOGS); do \
	  lang=`echo $$cat | sed 's/.mo$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if msgmerge $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
    	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; mv $$lang.old.po $$lang.po; \
	  fi; \
	done

%.mo: %.po
	msgfmt --statistics --check --verbose --output-file=$@ $<

clean:
	rm -f *.mo

distclean: clean
	rm -f whois.pot

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$n $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

## psad 2.1.5

=== debian/changelog ===
psad (2.1.5-3) unstable; urgency=low

  * Set /me as main maintainer.
  * Switch to dpkg-source 3.0 (quilt) format:
    + Removed useless README.source which only documented quilt usage.
    + Remved BD on quilt.
    + Removed quilt framework from d.rules.
  * Bumped up Standards-Version to 3.8.4 (no changes).
  * Added Vcs fields in d.control.
  * Refreshed long description with patch from Justin B Rye. (Closes: #567897)
  * Added patch fixes_spelling.diff to fix spelling errors in the manpages.
  * Added dependency against lsb-base (>= 3.0-6) to ensure the
    /lib/lsb/init-functions can be sourced through the initscript.
  * Refreshed d.watch so that we do not use uupdate anymore, since it is
    useless with my workflow.
  * Refreshed d.copyright following DEP5 guideline.
  * Refreshed d.psad.docs:
    + Removed README.SYSLOG from the docs since psad do not use the fwdata
      file anymore.
    + Removed duplicate entry for FW_HELP.

 -- Franck Joncourt <franck@debian.org>  Sat, 13 Feb 2010 20:10:12 +0100

psad (2.1.5-2) unstable; urgency=low

  * Added a dependency on bsd-mailx | mailx | mailutils package to provide the
    mail command. (Closes: #521683)
  * Added a dependency on exim4 | mail-transport-agent to provide the sendmail
    command.
  * Bumped up Standards-Version to 3.8.3.
    + Handled the DEB_BUILD_OPTIONS:
      Updated d.rules to handle the new options.
      Added quilt framework.
      Added patch fixes_build.diff to pass OPTS to the makefile, and honour
      DEB_BUILD_OPTIONS.

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sat, 24 Oct 2009 14:18:17 +0200

psad (2.1.5-1) unstable; urgency=low

  * New upstream release
  * Use of dh_installman:
      - Updated install target in d.rules to remove manpages installation.
      - Added dh_installman to the binary-arch target.
      - Listed all manpages in psad.manpages.
      - Removed the man page directory from d.dirs.
  * Use nf2csv.1 instead of nfcsv.8 (not in upstream source anymore).
  * Added the new fwcheck_psad.8 manpage. (Closes: #277457)
  * Updated d.control
    + Add fwsnort to the Suggests field.
    + Add /me to Uploaders.
    + Set compatibility level to 7 along with d.compat.
    + Removed old ipchains dependency.
    + Replaced the old default log daemon (sysklogd) by the new one (rsyslog).
  * Created new init script from scratch. (Closes: #504567)
  * Created psad.preinst (Closes: #497574).
  * Removed psad.debhelper.log from the debian directory.
  * Removed preinst script whose goal was to stop the daemon through the
    initscript. (Debhelper can handle that alone).
  * Updated postinst script.
    + Do not do backup of configuration files anymore (let dpkg do its work).
    + Update HOSTNAME variable in psad.conf automatically.
    + Do not create the fifo file. Psad's default behavior has changed.
  * Updated postrm script and removed prerm script. We take care of the
    cleaning in postrm.
  * Added d.NEWS to report important changes in the package.

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sat, 21 Feb 2009 15:40:31 +0100

psad (2.1.4-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU.

 -- Daniel Gubser <guterm@debian.org>  Mon, 25 Aug 2008 14:10:58 +0200

psad (2.1.3-1.2) unstable; urgency=low

  * applied patch for removing psad with /var/run/ mounted as tmpfs 
    (Closes: #491558)

 -- Daniel Gubser <guterm@debian.org>  Fri, 22 Aug 2008 17:09:30 +0200

psad (2.1.3-1.1) unstable; urgency=low

  * Remove of old, stale config files (Closes #455031)

 -- Daniel Gubser <guterm@debian.org>  Mon, 30 Jun 2008 16:17:37 +0200

psad (2.1.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Gubser <guterm@debian.org>  Tue, 17 Jun 2008 13:16:49 +0200

psad (2.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add both libiptables-parse-perl and libiptables-chainmgr-perl as new
    dependencies.
  * Replace /etc/init.d by invoke-rc.d in the preinst file.
  * Compat version is now set through the compat file.
  * Add copyright notice in copyright file.
  * Remove /usr/share/psad from the dirs file.
  * Do not ignore make errors anymore in the clean stage.

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sun, 04 May 2008 23:10:44 +0200

psad (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Gubser <guterm@debian.org>  Wed,  9 Apr 2008 12:49:33 +0200

psad (2.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #465412).
  * Fix bashism in postinst script (Closes: #472237).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 21:05:52 +0100

psad (2.1.1-1) unstable; urgency=low

  * New upstream release
  * changed dependency for syslod daemon to "Depends: $preferred_syslog |
    system-log-daemon (Closes: #464006)

 -- Daniel Gubser <guterm@debian.org>  Tue, 29 Jan 2008 06:39:54 +0100

psad (2.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Gubser <guterm@debian.org>  Wed, 31 Oct 2007 10:32:30 +0100
 

psad (2.0.8-1) unstable; urgency=low

  * New upstream release

 -- Daniel Gubser <guterm@debian.org>  Mon,  3 Sep 2007 14:07:45 +0200
 

psad (2.0.7-1) unstable; urgency=low

  * New upstream release
  * snort_rule_dl should be checked (Closes: #418777)

 -- Daniel Gubser <guterm@debian.org>  Fri,  1 Jun 2007 13:59:32 +0200
 

psad (2.0.6-1) unstable; urgency=low

  * New upstream release

 -- Daniel Gubser <guterm@debian.org>  Tue, 27 Mar 2007 09:42:43 +0200

psad (2.0.5-1) unstable; urgency=low

  * New upstream release
  * saving old config files: alert, fw_search, kmsgsd and psadwatchd

 -- Daniel Gubser <guterm@debian.org>  Tue, 27 Mar 2007 08:33:39 +0100

psad (2.0.4-1) unstable; urgency=low

  * New upstream release

 -- Daniel Gubser <guterm@debian.org>  Mon, 29 Jan 2007 07:52:27 +0100

psad (2.0.3-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: psad
Section: admin
Priority: optional
Maintainer: Franck Joncourt <franck@debian.org>
Uploaders: Daniel Gubser <guterm@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Vcs-git: git://git.debian.org/git/collab-maint/psad.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/psad.git

Homepage: http://www.cipherdyne.org/psad/
Package: psad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 libunix-syslog-perl, iptables, rsyslog | system-log-daemon,
 libnetwork-ipv4addr-perl, libdate-calc-perl, libcarp-clan-perl,
 whois, psmisc, libiptables-parse-perl, libiptables-chainmgr-perl,
 exim4 | mail-transport-agent, bsd-mailx | mailx | mailutils,
 lsb-base (>= 3.0-6)
Recommends: bastille
Suggests: fwsnort
Conflicts: bastille (<< 1:1.3.0-4)
Description: Port Scan Attack Detector
 PSAD is a collection of four lightweight system daemons (in Perl and
 C) designed to work with iptables to detect port scans. It features:
  * a set of highly configurable danger thresholds (with sensible
    defaults provided);
  * verbose alert messages that include the source, destination,
    scanned port range, beginning and end times, TCP flags, and
    corresponding Nmap options;
  * reverse DNS information;
  * alerts via email;
  * automatic blocking of offending IP addresses via dynamic firewall
    configuration.
 .
 When combined with fwsnort and the iptables string match extension,
 PSAD is capable of detecting many attacks described in the Snort rule
 set that involve application layer data.

## psad 2.1.7

=== debian/changelog ===
psad (2.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Franck Joncourt <franck@debian.org>  Sun, 25 Jul 2010 19:40:52 +0200

psad (2.1.6-1) unstable; urgency=low

  * New upstream release:
    + Alternate configuration files can be specified to override the default
      psad.conf. (Closes: #409815)
    + Removed fixes_spelling.diff applied patch.
  * Refreshed packaging to handle the brand new override-config feature from
    upstream:
    + Added psad.default file to allow the user to specify argument he wants to
      pass to psad when invoking through the initscript.
    + Refreshed initscript to handle the new variable DAEMON_ARGS which is
      defined in /etc/default/psad.
    + Updated d.NEWS accordingly.
  * Moved Homepage field to the upper section in d.control.
  * Updated dependencies:
    + Used default-mta rather than exim4.
    + Moved bastille from Recommends to Suggests, and removed Conflicts
      since it only affected old releases of Bastille.
  * Bumped up Standards-Version to 3.9.0 (no changes).
  * Added new patch t_upstream_hyphen.diff to fix hyphen in manual page.

 -- Franck Joncourt <franck@debian.org>  Sun, 11 Jul 2010 18:56:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,20 @@
 Maintainer: Franck Joncourt <franck@debian.org>
 Uploaders: Daniel Gubser <guterm@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-git: git://git.debian.org/git/collab-maint/psad.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/psad.git
+Homepage: http://www.cipherdyne.org/psad/
 
-Homepage: http://www.cipherdyne.org/psad/
 Package: psad
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  libunix-syslog-perl, iptables, rsyslog | system-log-daemon,
  libnetwork-ipv4addr-perl, libdate-calc-perl, libcarp-clan-perl,
  whois, psmisc, libiptables-parse-perl, libiptables-chainmgr-perl,
- exim4 | mail-transport-agent, bsd-mailx | mailx | mailutils,
+ default-mta | mail-transport-agent, bsd-mailx | mailx | mailutils,
  lsb-base (>= 3.0-6)
-Recommends: bastille
-Suggests: fwsnort
-Conflicts: bastille (<< 1:1.3.0-4)
+Suggests: fwsnort, bastille
 Description: Port Scan Attack Detector
  PSAD is a collection of four lightweight system daemons (in Perl and
  C) designed to work with iptables to detect port scans. It features:

=== debian/rules ===
#!/usr/bin/make -f

INSTALL         = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA    = $(INSTALL) -m 644

PROGRAM         = $(shell dh_listpackages)
DESTDIR         = $(CURDIR)/debian/$(PROGRAM)/
DESTDIR_BIN     = $(CURDIR)/debian/$(PROGRAM)/usr/bin/
DESTDIR_SBIN    = $(CURDIR)/debian/$(PROGRAM)/usr/sbin/
DESTDIR_ETC     = $(CURDIR)/debian/$(PROGRAM)/etc/$(PROGRAM)/

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
     CFLAGS += -O0
else
     CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	make all OPTS="$(CFLAGS)"
	touch $@ 

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean build-stamp

install:
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(INSTALL_PROGRAM) $(PROGRAM) $(DESTDIR_SBIN)
	$(INSTALL_PROGRAM) psadwatchd $(DESTDIR_SBIN)
	$(INSTALL_PROGRAM) kmsgsd $(DESTDIR_SBIN)
	$(INSTALL_PROGRAM) nf2csv $(DESTDIR_BIN)
	$(INSTALL_PROGRAM) fwcheck_psad.pl $(DESTDIR_SBIN)fwcheck_psad

	$(INSTALL_DATA) signatures $(DESTDIR_ETC)
	$(INSTALL_DATA) auto_dl $(DESTDIR_ETC)
	$(INSTALL_DATA) psad.conf $(DESTDIR_ETC)
	$(INSTALL_DATA) pf.os $(DESTDIR_ETC)
	$(INSTALL_DATA) ip_options $(DESTDIR_ETC)
	$(INSTALL_DATA) snort_rule_dl $(DESTDIR_ETC)
	$(INSTALL_DATA) posf $(DESTDIR_ETC)
	$(INSTALL_DATA) icmp_types $(DESTDIR_ETC)

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installinit
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
 
http://www.cipherdyne.com/psad/download/psad-nodeps-(.*)\.tar\.gz

## psad 2.2

=== debian/changelog ===
psad (2.2-3.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's approval.
  * Fix "modifies conffiles (policy 10.7.3): /etc/psad/psad.conf", second try:
    - add back changes to d.psad.preinst that revert changes to
      /etc/psad/psad.conf
    - but only for upgrades from versions before 2.2-3
    (Closes: #688891)

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Nov 2012 22:25:13 +0100

psad (2.2-3) unstable; urgency=low

  * Fix "modifies conffiles (policy 10.7.3): /etc/psad/psad.conf"
    (Closes: #688891). Thanks gregoa to help me fix this.
    - Reverted the changes from 2.2-2 in d.psad.preinst.
    - Removed the d.psad.postinst script which updated the HOSTNAME variable
      from psad.conf. The psad daemon can start without the default value in
      psad.conf (_CHANGEME_).
  * Removed the /var/run/psad directory in d.psad.postrm when purging the
    package.

 -- Franck Joncourt <franck@debian.org>  Sun, 28 Oct 2012 15:47:04 +0100

psad (2.2-2) unstable; urgency=low

  * d.psad.preinst: Revert the changes done by the postinst script in the
    preinst script so that dpkg does not see any configuration changes and
    does not trigger the user during upgrade. (Closes: #675231).

 -- Franck Joncourt <franck@debian.org>  Tue, 05 Jun 2012 23:06:42 +0200

psad (2.2-1) unstable; urgency=low

  * Imported Upstream version 2.2
    + Bug fix for ICMP packet handling (Closes: #596240 )
    + Bug fix for 'qw(...) usage as parenthesis' warnings for perl > 5.14
      (Closes: #655040)
    + Updated perl dependency from libnetwork-ipv4addr-perl to libnet-ip-perl
      in d.control.
    + Added the icmp6_types file in /etc/psad through d.rules.
  * Refreshed patch fixes_build.diff.
  * Bumped up Standards-Version to 3.9.3:
    + Refreshed copyright holders and updated d.copyright to comply with the
      1.0 machine-readable copyright file specification.
  * d.psad.init:
    + Added LSB description in d.psad.init.
    + Added use of log_daemon_msg, log_end_msg...
    + Made the initscript to end successfully when a start action is performed
      and the daemon is already running

 -- Franck Joncourt <franck@debian.org>  Mon, 28 May 2012 22:27:17 +0200

psad (2.1.7-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Set Architecture to linux-any.  (Closes: #647657)

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 16:24:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Franck Joncourt <franck@debian.org>
 Uploaders: Daniel Gubser <guterm@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 Vcs-git: git://git.debian.org/git/collab-maint/psad.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/psad.git
 Homepage: http://www.cipherdyne.org/psad/
 
 Package: psad
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  libunix-syslog-perl, iptables, rsyslog | system-log-daemon,
- libnetwork-ipv4addr-perl, libdate-calc-perl, libcarp-clan-perl,
+ libnet-ip-perl, libdate-calc-perl, libcarp-clan-perl,
  whois, psmisc, libiptables-parse-perl, libiptables-chainmgr-perl,
  default-mta | mail-transport-agent, bsd-mailx | mailx | mailutils,
  lsb-base (>= 3.0-6)

## psad 2.2.1

=== debian/changelog ===
psad (2.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Fix "prompting due to modified conffiles which were not modified by
    the user":
    d/psad.preinst: also revert changes to conffile when we install with an
    old version.
    (Closes: #675231)

 -- gregor herrmann <gregoa@debian.org>  Thu, 04 Jul 2013 20:04:45 +0200

psad (2.2.1-2) unstable; urgency=low

  * Enabled back the kmsgsd daemon.
    - Refreshed patch fixes_build.diff.
    - d.rules: Added back the kmsgsd daemon.
  * d.rules: Added missing protocols files into /etc/psad.

 -- Franck Joncourt <franck@debian.org>  Sun, 06 Jan 2013 11:35:21 +0100

psad (2.2.1-1) unstable; urgency=low

  * Acknowledged NMU (2.2-3.1).
  * d.rules : do not install the kmsgd daemon anymore since it is not
    used anymore.
  * Allowed the makefile to use the hardening flags :
    - d.rules : added the hardening stanza
    - fixes_build.diff : updated the Makefile to use the CFLAGS, CPPFLAGS
      and LDFLAGS.
    - d.control : Added BD on dpkg-dev (>= 1.16.1~)
  * Imported Upstream version 2.2.1
    - Removed applied patch t_upstream_hyphen.diff.
  * Bumped up Standards-Version to 3.9.4:
    - Added dependency ind.control against initscripts (>= 2.88dsf-13.3)
      to ensure the run directory is available.
  * d.control: Removed BD against lsb-base.

 -- Franck Joncourt <franck@debian.org>  Thu, 03 Jan 2013 22:38:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Franck Joncourt <franck@debian.org>
 Uploaders: Daniel Gubser <guterm@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
 Vcs-git: git://git.debian.org/git/collab-maint/psad.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/psad.git
 Homepage: http://www.cipherdyne.org/psad/
@@ -16,7 +16,7 @@
  libnet-ip-perl, libdate-calc-perl, libcarp-clan-perl,
  whois, psmisc, libiptables-parse-perl, libiptables-chainmgr-perl,
  default-mta | mail-transport-agent, bsd-mailx | mailx | mailutils,
- lsb-base (>= 3.0-6)
+ lsb-base, initscripts (>= 2.88dsf-13.3)
 Suggests: fwsnort, bastille
 Description: Port Scan Attack Detector
  PSAD is a collection of four lightweight system daemons (in Perl and

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 INSTALL         = install
 INSTALL_PROGRAM = $(INSTALL)
@@ -10,18 +14,15 @@
 DESTDIR_SBIN    = $(CURDIR)/debian/$(PROGRAM)/usr/sbin/
 DESTDIR_ETC     = $(CURDIR)/debian/$(PROGRAM)/etc/$(PROGRAM)/
 
-CFLAGS = -Wall -g
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-     CFLAGS += -O0
-else
-     CFLAGS += -O2
-endif
+build: build-arch build-indep
 
-build: build-stamp
+build-arch: build-stamp
 build-stamp:
 	dh_testdir
-	make all OPTS="$(CFLAGS)"
+	make all
 	touch $@ 
+
+build-indep:
 
 clean:
 	dh_testdir
@@ -30,7 +31,6 @@
 	dh_clean build-stamp
 
 install:
-install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -42,6 +42,7 @@
 	$(INSTALL_PROGRAM) nf2csv $(DESTDIR_BIN)
 	$(INSTALL_PROGRAM) fwcheck_psad.pl $(DESTDIR_SBIN)fwcheck_psad
 
+	$(INSTALL_DATA) protocols $(DESTDIR_ETC)
 	$(INSTALL_DATA) signatures $(DESTDIR_ETC)
 	$(INSTALL_DATA) auto_dl $(DESTDIR_ETC)
 	$(INSTALL_DATA) psad.conf $(DESTDIR_ETC)
@@ -50,10 +51,11 @@
 	$(INSTALL_DATA) snort_rule_dl $(DESTDIR_ETC)
 	$(INSTALL_DATA) posf $(DESTDIR_ETC)
 	$(INSTALL_DATA) icmp_types $(DESTDIR_ETC)
+	$(INSTALL_DATA) icmp6_types $(DESTDIR_ETC)
 
 binary-indep:
 
-binary-arch: build install
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -71,4 +73,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build clean binary-indep binary-arch binary install build-indep

## psad 2.2.3

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,6 @@
 #
 ##########################################################################
 #
-#  $Id: Makefile 1517 2006-01-07 02:25:10Z mbr $
-#
 
 ### default
 all : kmsgsd.c psadwatchd.c psad_funcs.c strlcpy.c strlcat.c psad.h

=== debian/changelog ===
psad (2.2.3-1) unstable; urgency=low

  * Imported Upstream version 2.2.3
    - Closes: #724267 - permissions of /etc/hosts.deny are modified
  * Bumped up debian policy to 3.9.5 (no changes)
  * Updated Vcs URIs to use canonical names.

 -- Franck Joncourt <franck@debian.org>  Mon, 25 Aug 2014 21:51:55 +0200

psad (2.2.2-1) unstable; urgency=low

  * Imported Upstream version 2.2.2

 -- Franck Joncourt <franck@debian.org>  Fri, 17 Jan 2014 19:22:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Franck Joncourt <franck@debian.org>
 Uploaders: Daniel Gubser <guterm@debian.org>
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
-Vcs-git: git://git.debian.org/git/collab-maint/psad.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/psad.git
+Standards-Version: 3.9.5
+Vcs-git: git://anonscm.debian.org/collab-maint/psad.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/psad.git
 Homepage: http://www.cipherdyne.org/psad/
 
 Package: psad

## psad 2.4.3

=== debian/changelog ===
psad (2.4.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on iproute2. (Closes: #867914)

 -- Adrian Bunk <bunk@debian.org>  Sat, 03 Feb 2018 14:53:36 +0200

psad (2.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on net-tools. (Closes: #867914)

 -- Adrian Bunk <bunk@debian.org>  Sun, 06 Aug 2017 13:38:41 +0300

psad (2.4.3-1) unstable; urgency=low

  * New upstream release 2.4.3
  * Acknowledged NMU.
  * d/control:
    + Removed Daniel Gubser <guterm@debian.org> from Uploaders.
      Thanks for his work.
    + Removed bastille package from suggests.
    + Added myself as Maintainer and updated my email address accordingly.
    + Bumped up Standards-Version to 3.9.8. No changes.
    + Removed dependency on dpkg-dev - not needed anymore
    + Updated version dependency on debhelper from 7 to 9.
    + Use secure URI (https) for VCS field
  * Added GPG signature verification to debian/watch file. Upstream GPG
    signature is stored in debian/upstream/signing-key.asc.
  * d/psad.init:
    + Add LSB dependency on netfilter-persistent (should-start)
    + Closes: #771337 init-scripts: iptables-persistent initialized after psad
    + Kill both psad_fw_read and psad process when stopping psad according to
      PID found in /var/run/psad.
  * d/copyright:
    + Updated copyright years
    + Used secure URL to reference copyright format
  * d/patches:
    + New patch to fix typo in manpages
    + Improve patch headers

 -- Franck Joncourt <franck.joncourt@gmail.com>  Fri, 30 Sep 2016 20:40:12 +0200

psad (2.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete initscripts dependency.
    It was introduced in commit 445de4eda7 for the /run transition, but
    this only applied to pre-wheezy upgrades. (Closes: #804977)
    Patch by Martin Pitt <martin.pitt@ubuntu.com>.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 11:21:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: psad
 Section: admin
 Priority: optional
-Maintainer: Franck Joncourt <franck@debian.org>
-Uploaders: Daniel Gubser <guterm@debian.org>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
-Vcs-git: git://anonscm.debian.org/collab-maint/psad.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/psad.git
+Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Vcs-git: https://anonscm.debian.org/git/collab-maint/psad.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/psad.git
 Homepage: http://www.cipherdyne.org/psad/
 
 Package: psad
@@ -16,8 +15,8 @@
  libnet-ip-perl, libdate-calc-perl, libcarp-clan-perl,
  whois, psmisc, libiptables-parse-perl, libiptables-chainmgr-perl,
  default-mta | mail-transport-agent, bsd-mailx | mailx | mailutils,
- lsb-base, initscripts (>= 2.88dsf-13.3)
-Suggests: fwsnort, bastille
+ lsb-base, net-tools, iproute2
+Suggests: fwsnort
 Description: Port Scan Attack Detector
  PSAD is a collection of four lightweight system daemons (in Perl and
  C) designed to work with iptables to detect port scans. It features:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://www.cipherdyne.com/psad/download/psad-nodeps-(.*)\.tar\.gz

## psad 2.4.6

=== debian/changelog ===
psad (2.4.6-3) unstable; urgency=medium

  * debian/control: updated to Standards-Version 4.6.2.
  * debian/copyright : updated packaging copyright years.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 31 Jan 2023 08:53:59 -0300

psad (2.4.6-2) unstable; urgency=medium

  * New maintainer. (Closes: #993745)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added Pre-Depends field.
      - Updated the Architecture field.
      - Updated the Maintainer field.
      - Updated to Standards-Version 4.6.0.1.
  * debian/copyright:
      - Rearranged all license fields.
      - Updated packaging copyright field.
      - Updated upstream and upstream package year.
      - Updated upstream license field.
  * debian/patches/*:
      - 10_cross.patch: added Forwarded field.
      - Renamed cross.patch to 10_cross.patch and fixes_build.diff
        to 20_fixes_build.patch
  * debian/psad.install: added.
  * debian/psad.service: added. Thanks to Andreas Henriksson <andreas@fatal.se>.
      (Closes: #950943)
  * debian/README.debian: removed, no loonger needed.
  * debian/rules: full updated.
  * debian/salsa-ci.yml: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Fri, 01 Oct 2021 19:41:53 -0300

psad (2.4.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Add debian/upstream/metadata and fixed Lintian report.
  * Add debian/salsa-ci.yml.
  * debian/control:
    - Set maintainer Debian QA Group <packages@qa.debian.org>.
    - Update Vcs-Git and Vcs-Browser of anonscm to Salsa reported by Lintian.
    - Add Rules-Requires-Root reported by Lintian.
  * debian/docs and debian/psad.manpages:
    - There has been a change of upstream in the file directories to doc
      folder and removed FW_HELP file.
  * debian/watch:
    - Use secure URI reported by Lintian.
    - Change version of 3 to 4 reported by Lintian.
  * debian/copyright:
    - Update directory of logrotate.psad to misc/logrotate.psad.
    - Add myself.
    - Fix Upstream-Name.
  * Drop debian/patches/fix_spelling.diff applied by upstream.
  * Remove trailing whitespace reported by Lintian.

  [ Boyuan Yang ]
  * debian/control: Use secure URI for homepage field.
  * debian/patches: Refresh patches using "gbp pq".

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923171)
    + cross.patch: Make C compiler substitutable.
    + Let dh_auto_build substitute the C compiler.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Sep 2021 12:58:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: psad
 Section: admin
 Priority: optional
-Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-git: https://anonscm.debian.org/git/collab-maint/psad.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/psad.git
-Homepage: http://www.cipherdyne.org/psad/
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/psad.git
+Vcs-Browser: https://salsa.debian.org/debian/psad
+Homepage: https://www.cipherdyne.org/psad/
 
 Package: psad
-Architecture: linux-any
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  libunix-syslog-perl, iptables, rsyslog | system-log-daemon,
  libnet-ip-perl, libdate-calc-perl, libcarp-clan-perl,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/psad/usr/sbin/fwcheck_psad.pl $(CURDIR)/debian/psad/usr/sbin/fwcheck_psad

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://www.cipherdyne.com/psad/download/psad-nodeps-(.*)\.tar\.gz
